Main Page Class Hierarchy Data Structures File List Data Fields Globals

# CPV2WayEngineFactory Class Reference

`#include <pv_2way_engine_factory.h>`

## Static Public Methods
OSCL_IMPORT_REF void | Init ()
OSCL_IMPORT_REF void | Cleanup ()
OSCL_IMPORT_REF CPV2WayInterface * | CreateTerminal (PV2WayTerminalType aTerminalType, PVCommandStatusObserver *aCmdStatusObserver, PVInformationalEventObserver *aInfoEventObserver, PVErrorEventObserver *aErrorEventObserver)
OSCL_IMPORT_REF void | DeleteTerminal (CPV2WayInterface *terminal)

## Member Function Documentation

OSCL_IMPORT_REF void CPV2WayEngineFactory::Cleanup | ( |  | ) | `[static]`

OSCL_IMPORT_REF CPV2WayInterface* CPV2WayEngineFactory::CreateTerminal | ( | PV2WayTerminalType | aTerminalType,
|  | PVCommandStatusObserver * | aCmdStatusObserver,
|  | PVInformationalEventObserver * | aInfoEventObserver,
|  | PVErrorEventObserver * | aErrorEventObserver
| ) | `[static]`

  | Creates an instance of a terminal of a particular type. Initially, this will support 324m type terminals. Parameters:
  aTerminalType | the type of terminal to be created.
  aCmdStatusObserver | the observer for command status
  aInfoEventObserver | the observer for unsolicited informational events
  aErrorEventObserver | the observer for unsolicited error events
Returns: A pointer to a terminal or leaves if the type is invalid or the system is out of resources

OSCL_IMPORT_REF void CPV2WayEngineFactory::DeleteTerminal | ( | CPV2WayInterface * | terminal | ) | `[static]`

  | This function allows the application to delete an instance of a terminal and reclaim all allocated resources. A terminal should be deleted only in the EIdle state. An attempt to delete a terminal in any other state will result in unpredictable behavior. Parameters:
  terminal | the terminal to be deleted.

OSCL_IMPORT_REF void CPV2WayEngineFactory::Init | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- pv_2way_engine_factory.h